<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SmokeGrenadeBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d4c/class_smoke_grenade_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SmokeGrenadeBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa98af1c9b4239d999f6d0c28f6a3dd0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#aa98af1c9b4239d999f6d0c28f6a3dd0e">M18SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:aa98af1c9b4239d999f6d0c28f6a3dd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac93758f522b87d12deb4fee083c9ead0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#ac93758f522b87d12deb4fee083c9ead0">~M18SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:ac93758f522b87d12deb4fee083c9ead0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e60a326cd85b75a18588e75e508e762"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#a0e60a326cd85b75a18588e75e508e762">RDG2SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:a0e60a326cd85b75a18588e75e508e762"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ed61dd8fe4843d5587061e345df5547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#a3ed61dd8fe4843d5587061e345df5547">~RDG2SmokeGrenade_ColorBase</a> ()</td></tr>
<tr class="separator:a3ed61dd8fe4843d5587061e345df5547"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abf2afbf31b662c59ca23fc39989b3fff"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#abf2afbf31b662c59ca23fc39989b3fff">SOUND_SMOKE_START</a> = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td></tr>
<tr class="separator:abf2afbf31b662c59ca23fc39989b3fff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab53f2d14fc77252a7bf95fe72289c09d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#ab53f2d14fc77252a7bf95fe72289c09d">SOUND_SMOKE_LOOP</a> = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td></tr>
<tr class="separator:ab53f2d14fc77252a7bf95fe72289c09d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7117a7578730e99bf0ee2ce9f661b3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html#a3c7117a7578730e99bf0ee2ce9f661b3">SOUND_SMOKE_END</a> = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td></tr>
<tr class="separator:a3c7117a7578730e99bf0ee2ce9f661b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac93758f522b87d12deb4fee083c9ead0" name="ac93758f522b87d12deb4fee083c9ead0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac93758f522b87d12deb4fee083c9ead0">&#9670;&#160;</a></span>~M18SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::~M18SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00016">16</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="a3ed61dd8fe4843d5587061e345df5547" name="a3ed61dd8fe4843d5587061e345df5547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ed61dd8fe4843d5587061e345df5547">&#9670;&#160;</a></span>~RDG2SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::~RDG2SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00017">17</a> of file <a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html">RDG2SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa98af1c9b4239d999f6d0c28f6a3dd0e" name="aa98af1c9b4239d999f6d0c28f6a3dd0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa98af1c9b4239d999f6d0c28f6a3dd0e">&#9670;&#160;</a></span>M18SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::M18SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="a0e60a326cd85b75a18588e75e508e762" name="a0e60a326cd85b75a18588e75e508e762"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e60a326cd85b75a18588e75e508e762">&#9670;&#160;</a></span>RDG2SmokeGrenade_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::RDG2SmokeGrenade_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html">RDG2SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3c7117a7578730e99bf0ee2ce9f661b3" name="a3c7117a7578730e99bf0ee2ce9f661b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c7117a7578730e99bf0ee2ce9f661b3">&#9670;&#160;</a></span>SOUND_SMOKE_END</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SmokeGrenadeBase::SOUND_SMOKE_END = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="ab53f2d14fc77252a7bf95fe72289c09d" name="ab53f2d14fc77252a7bf95fe72289c09d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab53f2d14fc77252a7bf95fe72289c09d">&#9670;&#160;</a></span>SOUND_SMOKE_LOOP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SmokeGrenadeBase::SOUND_SMOKE_LOOP = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<a id="abf2afbf31b662c59ca23fc39989b3fff" name="abf2afbf31b662c59ca23fc39989b3fff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2afbf31b662c59ca23fc39989b3fff">&#9670;&#160;</a></span>SOUND_SMOKE_START</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SmokeGrenadeBase::SOUND_SMOKE_START = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Grenade_Base/<a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html">M18SmokeGrenade_ColorBase.c</a></li>
<li>scripts/4_World/Entities/Grenade_Base/<a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html">RDG2SmokeGrenade_ColorBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
